{% extends "base.html" %}
{% block title %}list teams{% endblock %}

<html lang="es-cl">
 
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    {% block extra_css %}
	<style>
	.color_update_team {
		color: #F3EC11;
		font-size: 22px;
	}
	.color_delete_team {
		color: #F51809;
		font-size: 22px;
	}
	</style>
{% endblock %}
{% block content %}
  
	 <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{% url 'basket:home' %}"><i class="fas fa-home"></i></a></li>     
        <li class="breadcrumb-item active" aria-current="page">Team</li>
        </ol>
    </nav>	

  
     <head>
    <div class="container">

        <div class="row mt-3">
        	<div class="col-md-9 col-lg-10">
        		<h3> LIST TEAMS </h3>	 
			</div>
        	<div class="col-md-3 col-lg-2">	
            {% if perms.basket.add_team %}
        		<a href="{% url 'basket:create_team' %}" class="btn btn-success btn-block mt-3"><i class="fas fa-plus-square"></i> Create Teams</a> 
            {% endif %}

            {% if perms.basket.is_reporter %}
                <a href="#" class="btn btn-primary btn-block mt-3"><i class="fas fa-chart-pie"></i> See Report</a> 
            {% endif %}
        		
			</div>
		</div>

	</head>
	<body>
        	<table class="table table-hover mt-4">
        		<thead class="thead-dark">
                <th style="color: white">#</th>
            		<th style="color: white">Teams</th>
            		<th style="color: white">Coach</th>
            		<th style="color: white">Action</th>
        		</thead>
            <div>             
                <tr>
        			{% for team in teams %}
        		<tr>
              <td style="color: black">-></td>
        			<td>{{team.name}}</td>
        			<td>{{team.coach}}</td>
              {% if perms.basket.change_team %}
        			<td><a href="{% url 'basket:update_team' team.id %}"><i class="fas fa-edit color_update_team"></i></a>
               |{% endif %}
              {% if perms.basket.delete_team %}
        			<a href="{% url 'basket:delete_team' team.id %}"><i class="fas fa-trash-alt color_delete_team"></i></a></td> 
              {% endif %}  			


        		</tr>
        			{% endfor %}
    		</div>
    		</table>

			<hr>
				     


   			{% if teams.has_other_pages %}
   			<nav aria-label="Page navigation">
  			<ul class="pagination">
    		{% if teams.has_previous %}
      		<li class="page-item"><a href="?page={{ teams.previous_page_number }}" class="page-link">&laquo;</a></li>
   			{% else %}
      		<li class="page-item" class="disabled"><span class="page-link">&laquo;</span></li>
    		{% endif %}

    		{% for i in teams.paginator.page_range %}
      		{% if teams.number == i %}
        	<li class="page-item active"><span class="page-link">{{ i }} <span class="sr-only">(current)</span></span></li>
      		{% else %}
        	<li class="page-item"><a class="page-link" href="?page={{ i }}">{{ i }}</a></li>
      		{% endif %}
    		{% endfor %}


    		{% if teams.has_next %}
      		<li><a href="?page={{ teams.next_page_number }}" class="page-link">&raquo;</a></li>
    		{% else %}
      		<li class="disabled"><span class="page-link">&raquo;</span></li>
    		{% endif %}
  			</ul>
  			</nav>
			{% endif %}
   
	</body>
   

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
  
</html>
{% endblock %}